<div class="front_page_section front_page_section_about<?php
	$abelle_scheme = abelle_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $abelle_scheme ) && ! abelle_is_inherit( $abelle_scheme ) ) {
		echo ' scheme_' . esc_attr( $abelle_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( abelle_get_theme_option( 'front_page_about_paddings' ) );
	if ( abelle_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$abelle_css      = '';
		$abelle_bg_image = abelle_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $abelle_bg_image ) ) {
			$abelle_css .= 'background-image: url(' . esc_url( abelle_get_attachment_url( $abelle_bg_image ) ) . ');';
		}
		if ( ! empty( $abelle_css ) ) {
			echo ' style="' . esc_attr( $abelle_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$abelle_anchor_icon = abelle_get_theme_option( 'front_page_about_anchor_icon' );
	$abelle_anchor_text = abelle_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $abelle_anchor_icon ) || ! empty( $abelle_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $abelle_anchor_icon ) ? ' icon="' . esc_attr( $abelle_anchor_icon ) . '"' : '' )
									. ( ! empty( $abelle_anchor_text ) ? ' title="' . esc_attr( $abelle_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( abelle_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' abelle-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$abelle_css           = '';
			$abelle_bg_mask       = abelle_get_theme_option( 'front_page_about_bg_mask' );
			$abelle_bg_color_type = abelle_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $abelle_bg_color_type ) {
				$abelle_bg_color = abelle_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $abelle_bg_color_type ) {
				$abelle_bg_color = abelle_get_scheme_color( 'bg_color', $abelle_scheme );
			} else {
				$abelle_bg_color = '';
			}
			if ( ! empty( $abelle_bg_color ) && $abelle_bg_mask > 0 ) {
				$abelle_css .= 'background-color: ' . esc_attr(
					1 == $abelle_bg_mask ? $abelle_bg_color : abelle_hex2rgba( $abelle_bg_color, $abelle_bg_mask )
				) . ';';
			}
			if ( ! empty( $abelle_css ) ) {
				echo ' style="' . esc_attr( $abelle_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$abelle_caption = abelle_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $abelle_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $abelle_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $abelle_caption, 'abelle_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$abelle_description = abelle_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $abelle_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $abelle_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $abelle_description ), 'abelle_kses_content' ); ?></div>
				<?php
			}

			// Content
			$abelle_content = abelle_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $abelle_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $abelle_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$abelle_page_content_mask = '%%CONTENT%%';
					if ( strpos( $abelle_content, $abelle_page_content_mask ) !== false ) {
						$abelle_content = preg_replace(
							'/(\<p\>\s*)?' . $abelle_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$abelle_content
						);
					}
					abelle_show_layout( $abelle_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
