<div class="front_page_section front_page_section_contacts<?php
	$abelle_scheme = abelle_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $abelle_scheme ) && ! abelle_is_inherit( $abelle_scheme ) ) {
		echo ' scheme_' . esc_attr( $abelle_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( abelle_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( abelle_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$abelle_css      = '';
		$abelle_bg_image = abelle_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $abelle_bg_image ) ) {
			$abelle_css .= 'background-image: url(' . esc_url( abelle_get_attachment_url( $abelle_bg_image ) ) . ');';
		}
		if ( ! empty( $abelle_css ) ) {
			echo ' style="' . esc_attr( $abelle_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$abelle_anchor_icon = abelle_get_theme_option( 'front_page_contacts_anchor_icon' );
	$abelle_anchor_text = abelle_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $abelle_anchor_icon ) || ! empty( $abelle_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $abelle_anchor_icon ) ? ' icon="' . esc_attr( $abelle_anchor_icon ) . '"' : '' )
									. ( ! empty( $abelle_anchor_text ) ? ' title="' . esc_attr( $abelle_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( abelle_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' abelle-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$abelle_css      = '';
			$abelle_bg_mask  = abelle_get_theme_option( 'front_page_contacts_bg_mask' );
			$abelle_bg_color_type = abelle_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $abelle_bg_color_type ) {
				$abelle_bg_color = abelle_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $abelle_bg_color_type ) {
				$abelle_bg_color = abelle_get_scheme_color( 'bg_color', $abelle_scheme );
			} else {
				$abelle_bg_color = '';
			}
			if ( ! empty( $abelle_bg_color ) && $abelle_bg_mask > 0 ) {
				$abelle_css .= 'background-color: ' . esc_attr(
					1 == $abelle_bg_mask ? $abelle_bg_color : abelle_hex2rgba( $abelle_bg_color, $abelle_bg_mask )
				) . ';';
			}
			if ( ! empty( $abelle_css ) ) {
				echo ' style="' . esc_attr( $abelle_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$abelle_caption     = abelle_get_theme_option( 'front_page_contacts_caption' );
			$abelle_description = abelle_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $abelle_caption ) || ! empty( $abelle_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $abelle_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $abelle_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $abelle_caption, 'abelle_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $abelle_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $abelle_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $abelle_description ), 'abelle_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$abelle_content = abelle_get_theme_option( 'front_page_contacts_content' );
			$abelle_layout  = abelle_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $abelle_layout && ( ! empty( $abelle_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $abelle_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $abelle_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $abelle_content, 'abelle_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $abelle_layout && ( ! empty( $abelle_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$abelle_sc = abelle_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $abelle_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $abelle_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					abelle_show_layout( do_shortcode( $abelle_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $abelle_layout && ( ! empty( $abelle_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
