<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package ABELLE
 * @since ABELLE 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$abelle_copyright_scheme = abelle_get_theme_option( 'copyright_scheme' );
if ( ! empty( $abelle_copyright_scheme ) && ! abelle_is_inherit( $abelle_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $abelle_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$abelle_copyright = abelle_get_theme_option( 'copyright' );
			if ( ! empty( $abelle_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$abelle_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $abelle_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$abelle_copyright = abelle_prepare_macros( $abelle_copyright );
				// Display copyright
				echo wp_kses( nl2br( $abelle_copyright ), 'abelle_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
