<?php
/**
 * The template to display default site footer
 *
 * @package ABELLE
 * @since ABELLE 1.0.10
 */

$abelle_footer_id = abelle_get_custom_footer_id();
$abelle_footer_meta = get_post_meta( $abelle_footer_id, 'trx_addons_options', true );
if ( ! empty( $abelle_footer_meta['margin'] ) ) {
	abelle_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( abelle_prepare_css_value( $abelle_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $abelle_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $abelle_footer_id ) ) ); ?>
						<?php
						$abelle_footer_scheme = abelle_get_theme_option( 'footer_scheme' );
						if ( ! empty( $abelle_footer_scheme ) && ! abelle_is_inherit( $abelle_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $abelle_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'abelle_action_show_layout', $abelle_footer_id );
	?>
</footer><!-- /.footer_wrap -->
