<?php
/**
 * The template to display the background video in the header
 *
 * @package ABELLE
 * @since ABELLE 1.0.14
 */
$abelle_header_video = abelle_get_header_video();
$abelle_embed_video  = '';
if ( ! empty( $abelle_header_video ) && ! abelle_is_from_uploads( $abelle_header_video ) ) {
	if ( abelle_is_youtube_url( $abelle_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $abelle_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php abelle_show_layout( abelle_get_embed_video( $abelle_header_video ) ); ?></div>
		<?php
	}
}
